/* Basic reset */

/* Index */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  scroll-behavior: smooth;
}
.alata-regular {
  font-family: "Alata", sans-serif;
  font-weight: 400;
  font-style: normal;
}
.quicksand-thin {
  font-family: "Quicksand", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
}
body {
	background-color: white;
	animation: gradient 15s ease infinite;
  vertical-align: middle;
  margin:0 auto;
  width: 90%;
	height: auto;
  font-family: "Quicksand", sans-serif;
  font-size: 1vw;
}



/*Text formatting */
.title{

}
.normal{
}

h2 {
  font-size: 2vw;
}
.head1{
    font-size: 1.5vw;
    text-align: left;
    text-transform: uppercase;
    letter-spacing: .2rem;
}
.head1Under{
    font-size: 1.5vw;
    text-align: left;
    text-transform: uppercase;
    letter-spacing: .2rem;
    border-width: 0 0 .5px 0;
    border-style: solid;
    border-color: rgba(256, 256, 256, 0.2);
    padding: 0 0 .5vw 0;
    color: black;
}
.head2{
    font-size: 1vw;
    margin: 1vw 0 1vw 0;
    text-align: left;
    font-weight: bold;
    border-width: 0 0 .5px 0;
    border-style: solid;
    border-color: rgba(0, 0, 0, .2);
    padding: 0 0 .5vw 0;
    color: black;
}
.head3{
    font-size: 1vw;
    margin: 1vw 0 1vw 0;
    text-align: left;
    border-width: 0 0 .5px 0;
    border-style: solid;
    border-color: rgba(0, 0, 0, .2);
    padding: 0 0 .5vw 0;
    color: black;
}

.container {
  width: 100vw;
  height: 100vh;
  padding: 2vw;
  display: flex;
  flex-direction: column;
}

/* Layout for rows */
.row {
  display: flex;
  width: 100%;
  flex-wrap: nowrap;
  justify-content: space-between;
}
#navrow {
  display: flex;
  width: 100%;
  flex-wrap: nowrap;
  justify-content: space-between;
  z-index: 1;
  position: fixed;
  bottom: auto;
}

/* Columns */
.center {
  padding: 1vw .5vw 1vw .5vw;
}

.right {
  padding: 1vw 1vw 1vw .5vw;
}

.left {
  padding: 1vw .5vw 1vw 1vw;
  flex-basis: 15%;
  height: auto;
}

.leftDoc {
  height: auto;
  padding: 1vw;
  width: 40%;
}

.center {
  flex-basis: 60%;
  height: auto;
}
.centerDoc {
  flex-basis: 85%;
  height: auto;
}

.right {
  flex-basis: 25%;
  height: auto;
}

.top {
  width: 100vw;
  padding: 1.5vw 1vw .5vw 1vw;

}

/* elements */

#stickyNav{
  position: sticky;
  float: left;
  top: 0;
}
.toggler{
  position: absolute;
  right: 10vw;
  top: 5px;
}
.navbarElement{
  border-radius: 1vw;
  background-color: rgba(14, 89, 92, 0);

  width: 100%;
  height: auto;
  color: black;
  padding: 1vw 2vw 1vw 2vw;
}
.navbarBumper{
  border-radius: 1vw;
  background-color: rgba(14, 89, 92, 0);

  width: 100%;
  height: auto;
  color: black;
  padding: 1vw 2vw 1vw 2vw;
  opacity: 0%;
}
.groupElement {
  border-radius: 1vw;
  background-color: transparent;

  width: 100%;
  height: auto;
  color: black;
  padding: 2vw;
}

.profilePhoto {
  border-radius: 100%;
  width: 10vw;
  height: 10vw;
  background-color: red;
}
a {
  color: black;
  text-decoration: none;
}
a:hover {
  color: rgb(255, 191, 0);
  font-weight: bold;
}
.linksElement {
  border-radius: 1vw;
  background-color: transparent;

  margin: 1vw 0 0 0;
  width: 100%;
  height: auto;
  color: black;
  padding: 2vw;
}
.heroElement{
  border-radius: 1vw;
  background-image: url(https://imgur.com/mdjUnFv.gif);
  background-size: cover;
  background-repeat: no-repeat;
  background-color: transparent;
  margin: 0 0 0 0;
  width: 100%;
  height: 10vw;
  color: black;
  padding: 2vw;
}
.abstractElement{
  border-radius: 1vw;
  background-color: transparent;

  margin: 1vw 0 0 0;
  width: 100%;
  height: auto;
  color: black;
  padding: 2vw;
}
.updatesElement{
  border-radius: 1vw;
  background-color: transparent;

  margin: 0 0 0 0;
  width: 100%;
  height: auto;
  color: black;
  padding: 2vw;
}
/* Documentation */
.docElement{
  border-radius: 1vw;
  background-color: transparent;
  position: relative;
  margin: 1vw 0 0 0;
  width: 98.5%;
  height: auto;
  color: black;
}
/* Documentation */
.demoElement{
  border-radius: 1vw;
  background-color: transparent;
  position: relative;
  margin: 1vw 0 0 0;
  width: 98.5%;
  height: auto;
  color: black;
}

/* buttons */
.buttonNav{
  font-size: 1.5vw;
  background-color: transparent;
  border: 0px;
  color: black;
  margin: 0 1vw 0 1vw;
}
.buttonNav:hover{
  background-color: transparent;
  color: rgb(255, 191, 0);
}
.buttonGrid{
  border-radius: .5vw;
  font-size: 1.5vw;
  background-color: rgba(14, 89, 92, 0.1);

  padding: .5vw;
  border: 0px;
  color: black;
  margin: .5vw .25vw .5vw .25vw;
}
.buttonDoc{
  background-color: transparent;
  border-width: 0;
  color: black;
  font-size: 1vw;
  text-align: left;
  font-weight: bold;
}
.buttonDoc:hover{
  background-color: transparent;
  color: rgb(255, 191, 0);
}
.placeholder{
  width: 100%;
  height: 50vh;
  border-radius: 1vw;
  border-width: .01vw;
  border-style: solid;
  border-color: rgba(0, 0, 0, 1);
  padding: 25vh 0;
  text-align: center;
  color: rgba(0, 0, 0, 1);
  background-color: transparent;

}
.docHolder{
    Background-color: pink;
}

#doc1{
}
#doc2{
}
#doc3{

}
#doc4{

}
#doc5{

}
/* About */



.gridCol{
  flex-basis: 50%;
  height: auto;
  margin: 1vw 1vw 1vw 1vw;
}
.profileElement{
  border-radius: 1vw;
  background-color: transparent;

  width: 100%;
  height: auto;
  color: black;
  padding: 2vw;
}
.profileMeat{
  width: 30%;
  height: auto;
  display: inline-block;
}
.profileMeatInfo{
  width: 70%;
  height: auto;
  display: inline-block;
}
.elRow{
  display: flex;
  width: 100%;
  flex-wrap: nowrap;
  justify-content: space-between;
}
.bumper{
  width: 100%;
  height: 5vh;
}
/* width */
::-webkit-scrollbar {
  position: flex;
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background-color: rbga(256, 256, 256, .5);
}

/* Handle */
::-webkit-scrollbar-thumb {
  background-color: rbga(256, 256, 256, .5);
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: transparent;
  border-style: solid;
  border-width: 1px;
  border-color: black;
}






.switch {
  display: inline-block;
  position: absolute;
  right: 10vw;
  width: 2.5vw;
  height: 1.5vw;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 1vw;
  width: 1vw;
  left: .5vw;
  bottom: .25vw;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(.75vw);
  -ms-transform: translateX(.75vw);
  transform: translateX(.75vw);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}




